org.apache.uima.jcas.cas

## Class AnnotationBase

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImpl
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.AnnotationBase

- All Implemented Interfaces:
    Cloneable, AnnotationBaseFS, FeatureStructure
  Direct Known Subclasses:
    Annotation

      public class AnnotationBase
      extends TOP
      implements AnnotationBaseFS

  the JCas class model for the CAS type uima.cas.AnnotationBase. The AnnotationBase type defines one system-used feature which specifies for an annotation the subject of analysis (Sofa) to which it refers. Various annotation types (including the built-in uima.tcas.Annotation) may be defined as subtypes of this type. uima.tcas.Annotation is a subtype of this type, appropriate for Subjects of Analysis which are text strings. Other (not-built-in) subtypes may be defined for other kinds of Subjects of Analysis. For instance an audio sample Subject of Analysis might define a start and end position as time points in the stream. An image Subject of Analysis might define rectangular coordiantes describing a sub-area of the image. If you are defining a type which needs a reference to the Subject of Analysis (which is view-specific), it should be a subtype of this base type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `type`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `addr, jcasType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AnnotationBase()`
    `` | `AnnotationBase(int addr, TOP_Type type)`
    `` | `AnnotationBase(JCas jcas)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SofaFS` | `getSofa()`
    `int` | `getTypeIndexID()` used to obtain reference to the TOP_Type instance
    `CAS` | `getView()` Gets the CAS view associated with the Sofa that this Annotation is over.

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `addToIndexes, addToIndexes, equals, getAddress, getCAS, getCASImpl, getLowLevelCas, hashCode, removeFromIndexes, removeFromIndexes`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl

      `clone, getavoidcollisionTypeCode, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `clone, equals, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

    - #### type

          public static final int type

  - ### Constructor Detail

    - #### AnnotationBase

          protected AnnotationBase()

    - #### AnnotationBase

          public AnnotationBase(int addr,
                                TOP_Type type)

    - #### AnnotationBase

          public AnnotationBase(JCas jcas)

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      Description copied from class: `TOP`
      used to obtain reference to the TOP_Type instance
      Overrides:
        `getTypeIndexID` in class `TOP`
      Returns:
        the type array index

    - #### getSofa

          public SofaFS getSofa()

    - #### getView

          public CAS getView()

      Description copied from interface: `AnnotationBaseFS`
      Gets the CAS view associated with the Sofa that this Annotation is over.
      Specified by:
        `getView` in interface `AnnotationBaseFS`
      Returns:
        the CAS view associated with the Annotation's Sofa

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.